Shelly nach Backup Wiederherstellung ohne Funktion

Allgemeine Fragen zum Thema SmartHome in openWB
Moritz123
Beiträge: 22
Registriert: Mi Feb 23, 2022 9:27 am

Shelly nach Backup Wiederherstellung ohne Funktion

Beitrag von Moritz123 »

Hallo*,

ich habe heute das Backup der Software auf den Stand von Februar wieder geladen, da ich mit der neuen Nightly nicht zufrieden war.

Jetzt ist es so, dass keine meiner 3 Shellys mehr funktionieren. Weder eine Steuerung, noch eine Verbrauchsvisualisierung ist möglich.
Die Smart Home 2.0 Einstellungen habe ich bereits auf Werkseinstellungen (wenn auch nicht wirklich alles gelöscht wird) gesetzt und 1x Shelly versucht neu einzubinden. Dies blieb ebenfalls ohne Erfolg. (Die Shelly lassen sich natürlich direkt über die IP im Browser erreichen und steuern)

Kann mir jemand weiterhelfen?

PS. nach dem "Downgrade" habe ich versucht über das automatische Update auf die aktuelle "stable" zu updaten, auch das konnte mein Problem nicht beheben.
derNeueDet
Beiträge: 4153
Registriert: Mi Nov 11, 2020 7:16 pm

Re: Shelly nach Backup Wiederherstellung ohne Funktion

Beitrag von derNeueDet »

Was geht denn nicht? Poste doch mal Screenshots oder einen Ausschnitt aus dem Smarthome log
10kWp PV mit SMA Tripower 10000TL-10 (PE11 mit SDM72V2); 2,4kWp mit Solis 2.5 G6 (EE11 mit SDM120). OpenWB Standard+. EVU EM540 an einem Raspi mit Venus OS. BEV Mercedes EQA 250 (07/2023)
okaegi
Beiträge: 2138
Registriert: Fr Mär 08, 2019 1:57 pm

Re: Shelly nach Backup Wiederherstellung ohne Funktion

Beitrag von okaegi »

Der jetzige Smarthomehandler liest die Parametrisierung aus einem ini file ein.
Das Gui selber arbeitet aber nur noch mit Werten, die direkt über den mqtt Broker persistiert werden.
Nun gibt es zwei Möglichkeiten:
A) Du hast beim restore auch eine neue Sd Karte genommen. Der mqtt Broker speichert seine Werte in eine separten Datenbank auf der Sd Karte ein.
Beim Restore wird das inifile zurückgeladen aber im Gui wird nichts angezeigt
B) nur Restore gemacht bei gleicher sd Karte
Mqtt Broker Daten bleiben, aber das inifile passt nicht mehr da älter.

Das Problem wird durch zwei Punkte gelöst:
1)Der Smarthomehandler wird gerade umgestellt, dass er die Parameter direkt wie das Gui nur aus dem mqtt Broker nimmt und das ini File nicht mehr braucht.
Siehe hier:
viewtopic.php?f=15&t=5121
2) in OpenWb 2.0 werden diese Parameter dann auch mitgesichert (Wann das umgesetzt wird, ist noch nicht bekannt).

Was du machen kannst/musst
Auf Smartmq umstellen, dann werden nur die Parameter genommen die du auch im Gui siehst. Wenn die veraltet sind, die ändern / neu erfassen.
Gruss Oliver
Entwickler- openWB (ehrenamtlich) / Feedback zu Funktionen immer erwünscht..
Smarthomeprobleme siehe hier (update :!: ): viewtopic.php?f=14&t=5923
Moritz123
Beiträge: 22
Registriert: Mi Feb 23, 2022 9:27 am

Re: Shelly nach Backup Wiederherstellung ohne Funktion

Beitrag von Moritz123 »

Danke schonmal der Erklärung, wenn ich auch dazu sagen muss, dass ich nicht alles zu 100% verstehe in der IT Sprache.

Ich habe "nur" Software seitig das Backup aufgespielt ohne etwas an der SD Karte oder anderen Geräten gemacht zu haben.

Verwundern tut mich in dem Zusammenhang auch, dass ich trotz neuer Konfig der SH 2.0 Einstellungen keine Fuktion erreichen kann. Dabei kam mir gerade ehrlich gesagt der Wunsch die gesamte WB einmal auf Werksreset zu stellen, was aber nicht vorgesehen ist?

Die von dir empfohlene Einstellung auf "Smartmq" habe ich zwar ganz unten im Smarthome 2.0 Menü gefunden, nur lässt sich diese nach der Änderung auf "ja" nicht dauerhaft speichern.

Hier ein Auszug aus dem SH Log (ich persönlich kann daraus nichts lesen)

Code: Alles auswählen

__del__ Slbase executed 
__del__ Sbase executed 
TypeError: bad operand type for unary +: 'str'
    str(self.device_nummer) + 'watt0neg', 'w')
  File "/var/www/html/openWB/runs/usmarthome/smartbase.py", line 729, in postwatt
    self.postwatt()
  File "/var/www/html/openWB/runs/usmarthome/smartshelly.py", line 23, in getwatt
    mydevice.getwatt(uberschuss, uberschussoffset)
  File "/var/www/html/openWB/runs/smarthomemq.py", line 187, in getdevicevalues
    getdevicevalues()
  File "/var/www/html/openWB/runs/smarthomemq.py", line 407, in <module>
Traceback (most recent call last):

During handling of the above exception, another exception occurred:

FileNotFoundError: [Errno 2] No such file or directory: '/var/www/html/openWB/ramdisk/smarthome_device_1watt0neg'
    f = open(self._basePath+'/ramdisk/'+pref+'watt0neg', 'r')
  File "/var/www/html/openWB/runs/usmarthome/smartbase.py", line 1530, in simcount
    str(self.device_nummer), self.newwattk)
  File "/var/www/html/openWB/runs/usmarthome/smartbase.py", line 721, in postwatt
Traceback (most recent call last):
__init__ Slshelly excuted
__init__ Slbase executed
__init__ Sshelly excuted
__init__ Sbase executed
2022-04-21 21:40:18-: Config reRead done
2022-04-21 21:40:18-: (9) Device nicht (länger) definiert
2022-04-21 21:40:18-: (8) Device nicht (länger) definiert
2022-04-21 21:40:18-: (7) Device nicht (länger) definiert
2022-04-21 21:40:18-: (6) Device nicht (länger) definiert
2022-04-21 21:40:18-: (5) Device nicht (länger) definiert
2022-04-21 21:40:18-: (4) Device nicht (länger) definiert
2022-04-21 21:40:18-: (3) Device nicht (länger) definiert
2022-04-21 21:40:18-: (2) Device nicht (länger) definiert
2022-04-21 21:40:18-: (1) Slbase überlesen Status 10
2022-04-21 21:40:18-: (1) Slbase überlesen DailyYieldKwh -121.59
2022-04-21 21:40:18-: (1) Slbase überlesen Watt 0
2022-04-21 21:40:18-: (1) Slbase überlesen Wh 121998.08
2022-04-21 21:40:18-: (1) Slbase überlesen RelayStatus 1
2022-04-21 21:40:18-: (1) Slbase überlesen OnCountNor 0
2022-04-21 21:40:18-: (1) Integrierte Leistungsmessung. Nur Parameter  update shelly
2022-04-21 21:40:18-: (1) Sbase überlesen Status 10
2022-04-21 21:40:18-: (1) Sbase überlesen DailyYieldKwh -121.59
2022-04-21 21:40:18-: (1) Sbase überlesen Watt 0
2022-04-21 21:40:18-: (1) Sbase überlesen Wh 121998.08
2022-04-21 21:40:18-: (1) Sbase überlesen RelayStatus 1
2022-04-21 21:40:18-: (1) Sbase überlesen OnCountNor 0
2022-04-21 21:40:18-: (1) Typ gleich, nur Parameter update
2022-04-21 21:40:18-: (1) Device bereits erzeugt
2022-04-21 21:40:13-: Config reRead start
2022-04-21 21:40:13-: Speicher Entladung(-)/Ladung(+): 0 SpeicherSoC: 100
2022-04-21 21:40:13-: Uberschuss: 15 Uberschuss mit Offset: 15
2022-04-21 21:40:13-: EVU Bezug(-)/Einspeisung(+): 15 max Speicherladung: 0
2022-04-21 21:40:13-: (9) Device nicht (länger) definiert
2022-04-21 21:40:13-: (8) Device nicht (länger) definiert
2022-04-21 21:40:13-: (7) Device nicht (länger) definiert
2022-04-21 21:40:13-: (6) Device nicht (länger) definiert
2022-04-21 21:40:13-: (5) Device nicht (länger) definiert
2022-04-21 21:40:13-: (4) Device nicht (länger) definiert
2022-04-21 21:40:13-: (3) Device nicht (länger) definiert
2022-04-21 21:40:13-: (2) Device nicht (länger) definiert
2022-04-21 21:40:13-: (1) Slbase überlesen Status 10
2022-04-21 21:40:13-: (1) Slbase überlesen DailyYieldKwh -121.59
2022-04-21 21:40:13-: (1) Slbase überlesen Watt 0
2022-04-21 21:40:13-: (1) Slbase überlesen Wh 121998.08
2022-04-21 21:40:13-: (1) Slbase überlesen RelayStatus 1
2022-04-21 21:40:13-: (1) Slbase überlesen OnCountNor 0
2022-04-21 21:40:13-: (1) Integrierte Leistungsmessung. Neues Measure device erzeugt shelly
2022-04-21 21:40:13-: (1) Sbase überlesen Status 10
2022-04-21 21:40:13-: (1) aus mqtt übernommen WHImported_temp 439193079
2022-04-21 21:40:13-: (1) Sbase überlesen DailyYieldKwh -121.59
2022-04-21 21:40:13-: (1) Sbase überlesen Watt 0
2022-04-21 21:40:13-: (1) Sbase überlesen Wh 121998.08
2022-04-21 21:40:13-: (1) aus mqtt übernommen RunningTimeToday 0
2022-04-21 21:40:13-: (1) Sbase überlesen RelayStatus 1
2022-04-21 21:40:13-: (1) Sbase überlesen OnCountNor 0
2022-04-21 21:40:13-: (1) aus mqtt übernommen OnCntStandby 0
2022-04-21 21:40:13-: (1) Neues Devices oder Typänderung: shelly
2022-04-21 21:40:02-: *** Smarthome mq Start ***
okaegi
Beiträge: 2138
Registriert: Fr Mär 08, 2019 1:57 pm

Re: Shelly nach Backup Wiederherstellung ohne Funktion

Beitrag von okaegi »

Sollte nach 5 Minuten neu starten. Bist du jetzt auf der letzte stable ?
Kannst du um 00 oder 05,10, 15,usw ins smarthome log schauen ?
Gruss Olivet
Entwickler- openWB (ehrenamtlich) / Feedback zu Funktionen immer erwünscht..
Smarthomeprobleme siehe hier (update :!: ): viewtopic.php?f=14&t=5923
Moritz123
Beiträge: 22
Registriert: Mi Feb 23, 2022 9:27 am

Re: Shelly nach Backup Wiederherstellung ohne Funktion

Beitrag von Moritz123 »

Aktuell bin ich auf der Beta: 1.9.264 (angeblich gleiche Version wie stable)

Meinst du mit 00 0:00Uhr?
Hier nochmal der Letzte Log:

Code: Alles auswählen

__del__ Slbase executed 
__del__ Sbase executed 
TypeError: bad operand type for unary +: 'str'
    str(self.device_nummer) + 'watt0neg', 'w')
  File "/var/www/html/openWB/runs/usmarthome/smartbase.py", line 729, in postwatt
    self.postwatt()
  File "/var/www/html/openWB/runs/usmarthome/smartshelly.py", line 23, in getwatt
    mydevice.getwatt(uberschuss, uberschussoffset)
  File "/var/www/html/openWB/runs/smarthomemq.py", line 187, in getdevicevalues
    getdevicevalues()
  File "/var/www/html/openWB/runs/smarthomemq.py", line 407, in <module>
Traceback (most recent call last):

During handling of the above exception, another exception occurred:

FileNotFoundError: [Errno 2] No such file or directory: '/var/www/html/openWB/ramdisk/smarthome_device_1watt0neg'
    f = open(self._basePath+'/ramdisk/'+pref+'watt0neg', 'r')
  File "/var/www/html/openWB/runs/usmarthome/smartbase.py", line 1530, in simcount
    str(self.device_nummer), self.newwattk)
  File "/var/www/html/openWB/runs/usmarthome/smartbase.py", line 721, in postwatt
Traceback (most recent call last):
__init__ Slshelly excuted
__init__ Slbase executed
__init__ Sshelly excuted
__init__ Sbase executed
2022-04-21 22:00:12-: Speicher Entladung(-)/Ladung(+): 0 SpeicherSoC: 100
2022-04-21 22:00:12-: Uberschuss: 11 Uberschuss mit Offset: 11
2022-04-21 22:00:12-: EVU Bezug(-)/Einspeisung(+): 11 max Speicherladung: 0
2022-04-21 22:00:12-: (9) Device nicht (länger) definiert
2022-04-21 22:00:12-: (8) Device nicht (länger) definiert
2022-04-21 22:00:12-: (7) Device nicht (länger) definiert
2022-04-21 22:00:12-: (6) Device nicht (länger) definiert
2022-04-21 22:00:12-: (5) Device nicht (länger) definiert
2022-04-21 22:00:12-: (4) Device nicht (länger) definiert
2022-04-21 22:00:12-: (3) Device nicht (länger) definiert
2022-04-21 22:00:12-: (2) Device nicht (länger) definiert
2022-04-21 22:00:12-: (1) Slbase überlesen Watt 0
2022-04-21 22:00:12-: (1) Slbase überlesen DailyYieldKwh -121.59
2022-04-21 22:00:12-: (1) Slbase überlesen OnCountNor 0
2022-04-21 22:00:12-: (1) Slbase überlesen RelayStatus 1
2022-04-21 22:00:12-: (1) Slbase überlesen Wh 121998.08
2022-04-21 22:00:12-: (1) Slbase überlesen Status 10
2022-04-21 22:00:12-: (1) Integrierte Leistungsmessung. Neues Measure device erzeugt shelly
2022-04-21 22:00:12-: (1) aus mqtt übernommen OnCntStandby 0
2022-04-21 22:00:12-: (1) aus mqtt übernommen WHImported_temp 439193079
2022-04-21 22:00:12-: (1) Sbase überlesen Watt 0
2022-04-21 22:00:12-: (1) Sbase überlesen DailyYieldKwh -121.59
2022-04-21 22:00:12-: (1) Sbase überlesen OnCountNor 0
2022-04-21 22:00:12-: (1) Sbase überlesen RelayStatus 1
2022-04-21 22:00:12-: (1) aus mqtt übernommen RunningTimeToday 0
2022-04-21 22:00:12-: (1) Sbase überlesen Wh 121998.08
2022-04-21 22:00:12-: (1) Sbase überlesen Status 10
2022-04-21 22:00:12-: (1) Neues Devices oder Typänderung: shelly
2022-04-21 22:00:02-: *** Smarthome mq Start ***
__del__ Slbase executed 
__del__ Sbase executed 
TypeError: bad operand type for unary +: 'str'
    str(self.device_nummer) + 'watt0neg', 'w')
  File "/var/www/html/openWB/runs/usmarthome/smartbase.py", line 729, in postwatt
    self.postwatt()
  File "/var/www/html/openWB/runs/usmarthome/smartshelly.py", line 23, in getwatt
    mydevice.getwatt(uberschuss, uberschussoffset)
  File "/var/www/html/openWB/runs/smarthomemq.py", line 187, in getdevicevalues
    getdevicevalues()
  File "/var/www/html/openWB/runs/smarthomemq.py", line 407, in <module>
Traceback (most recent call last):

During handling of the above exception, another exception occurred:

FileNotFoundError: [Errno 2] No such file or directory: '/var/www/html/openWB/ramdisk/smarthome_device_1watt0neg'
    f = open(self._basePath+'/ramdisk/'+pref+'watt0neg', 'r')
  File "/var/www/html/openWB/runs/usmarthome/smartbase.py", line 1530, in simcount
    str(self.device_nummer), self.newwattk)
  File "/var/www/html/openWB/runs/usmarthome/smartbase.py", line 721, in postwatt
Traceback (most recent call last):
__init__ Slshelly excuted
__init__ Slbase executed
__init__ Sshelly excuted
__init__ Sbase executed
2022-04-21 21:55:13-: Speicher Entladung(-)/Ladung(+): 0 SpeicherSoC: 100
2022-04-21 21:55:13-: Uberschuss: 7 Uberschuss mit Offset: 7
2022-04-21 21:55:13-: EVU Bezug(-)/Einspeisung(+): 7 max Speicherladung: 0
2022-04-21 21:55:13-: (9) Device nicht (länger) definiert
2022-04-21 21:55:13-: (8) Device nicht (länger) definiert
2022-04-21 21:55:13-: (7) Device nicht (länger) definiert
2022-04-21 21:55:13-: (6) Device nicht (länger) definiert
2022-04-21 21:55:13-: (5) Device nicht (länger) definiert
2022-04-21 21:55:13-: (4) Device nicht (länger) definiert
2022-04-21 21:55:13-: (3) Device nicht (länger) definiert
2022-04-21 21:55:13-: (2) Device nicht (länger) definiert
2022-04-21 21:55:13-: (1) Slbase überlesen Wh 121998.08
2022-04-21 21:55:13-: (1) Slbase überlesen RelayStatus 1
2022-04-21 21:55:13-: (1) Slbase überlesen Status 10
2022-04-21 21:55:13-: (1) Slbase überlesen Watt 0
2022-04-21 21:55:13-: (1) Slbase überlesen OnCountNor 0
2022-04-21 21:55:13-: (1) Slbase überlesen DailyYieldKwh -121.59
2022-04-21 21:55:13-: (1) Integrierte Leistungsmessung. Neues Measure device erzeugt shelly
2022-04-21 21:55:13-: (1) Sbase überlesen Wh 121998.08
2022-04-21 21:55:13-: (1) Sbase überlesen RelayStatus 1
2022-04-21 21:55:13-: (1) aus mqtt übernommen WHImported_temp 439193079
2022-04-21 21:55:13-: (1) Sbase überlesen Status 10
2022-04-21 21:55:13-: (1) Sbase überlesen Watt 0
2022-04-21 21:55:13-: (1) Sbase überlesen OnCountNor 0
2022-04-21 21:55:13-: (1) aus mqtt übernommen OnCntStandby 0
2022-04-21 21:55:13-: (1) aus mqtt übernommen RunningTimeToday 0
2022-04-21 21:55:13-: (1) Sbase überlesen DailyYieldKwh -121.59
2022-04-21 21:55:13-: (1) Neues Devices oder Typänderung: shelly
2022-04-21 21:55:02-: *** Smarthome mq Start ***
__del__ Slbase executed 
__del__ Sbase executed 
TypeError: bad operand type for unary +: 'str'
    str(self.device_nummer) + 'watt0neg', 'w')
  File "/var/www/html/openWB/runs/usmarthome/smartbase.py", line 729, in postwatt
    self.postwatt()
  File "/var/www/html/openWB/runs/usmarthome/smartshelly.py", line 23, in getwatt
    mydevice.getwatt(uberschuss, uberschussoffset)
  File "/var/www/html/openWB/runs/smarthomemq.py", line 187, in getdevicevalues
    getdevicevalues()
  File "/var/www/html/openWB/runs/smarthomemq.py", line 407, in <module>
Traceback (most recent call last):

During handling of the above exception, another exception occurred:

FileNotFoundError: [Errno 2] No such file or directory: '/var/www/html/openWB/ramdisk/smarthome_device_1watt0neg'
    f = open(self._basePath+'/ramdisk/'+pref+'watt0neg', 'r')
  File "/var/www/html/openWB/runs/usmarthome/smartbase.py", line 1530, in simcount
    str(self.device_nummer), self.newwattk)
  File "/var/www/html/openWB/runs/usmarthome/smartbase.py", line 721, in postwatt
Traceback (most recent call last):
__init__ Slshelly excuted
__init__ Slbase executed
__init__ Sshelly excuted
__init__ Sbase executed
2022-04-21 21:50:13-: Speicher Entladung(-)/Ladung(+): 0 SpeicherSoC: 100
2022-04-21 21:50:13-: Uberschuss: 49 Uberschuss mit Offset: 49
2022-04-21 21:50:13-: EVU Bezug(-)/Einspeisung(+): 49 max Speicherladung: 0
2022-04-21 21:50:13-: (9) Device nicht (länger) definiert
2022-04-21 21:50:13-: (8) Device nicht (länger) definiert
2022-04-21 21:50:13-: (7) Device nicht (länger) definiert
2022-04-21 21:50:13-: (6) Device nicht (länger) definiert
2022-04-21 21:50:13-: (5) Device nicht (länger) definiert
2022-04-21 21:50:13-: (4) Device nicht (länger) definiert
2022-04-21 21:50:13-: (3) Device nicht (länger) definiert
2022-04-21 21:50:13-: (2) Device nicht (länger) definiert
2022-04-21 21:50:13-: (1) Slbase überlesen Status 10
2022-04-21 21:50:13-: (1) Slbase überlesen OnCountNor 0
2022-04-21 21:50:13-: (1) Slbase überlesen Wh 121998.08
2022-04-21 21:50:13-: (1) Slbase überlesen Watt 0
2022-04-21 21:50:13-: (1) Slbase überlesen DailyYieldKwh -121.59
2022-04-21 21:50:13-: (1) Slbase überlesen RelayStatus 1
2022-04-21 21:50:13-: (1) Integrierte Leistungsmessung. Neues Measure device erzeugt shelly
2022-04-21 21:50:13-: (1) Sbase überlesen Status 10
2022-04-21 21:50:13-: (1) aus mqtt übernommen WHImported_temp 439193079
2022-04-21 21:50:13-: (1) Sbase überlesen OnCountNor 0
2022-04-21 21:50:13-: (1) Sbase überlesen Wh 121998.08
2022-04-21 21:50:13-: (1) aus mqtt übernommen OnCntStandby 0
2022-04-21 21:50:13-: (1) Sbase überlesen Watt 0
2022-04-21 21:50:13-: (1) aus mqtt übernommen RunningTimeToday 0
2022-04-21 21:50:13-: (1) Sbase überlesen DailyYieldKwh -121.59
2022-04-21 21:50:13-: (1) Sbase überlesen RelayStatus 1
2022-04-21 21:50:13-: (1) Neues Devices oder Typänderung: shelly
2022-04-21 21:50:03-: *** Smarthome mq Start ***
__del__ Slbase executed 
__del__ Sbase executed 
TypeError: bad operand type for unary +: 'str'
    str(self.device_nummer) + 'watt0neg', 'w')
  File "/var/www/html/openWB/runs/usmarthome/smartbase.py", line 729, in postwatt
    self.postwatt()
  File "/var/www/html/openWB/runs/usmarthome/smartshelly.py", line 23, in getwatt
    mydevice.getwatt(uberschuss, uberschussoffset)
  File "/var/www/html/openWB/runs/smarthomemq.py", line 187, in getdevicevalues
    getdevicevalues()
  File "/var/www/html/openWB/runs/smarthomemq.py", line 407, in <module>
Traceback (most recent call last):

During handling of the above exception, another exception occurred:

FileNotFoundError: [Errno 2] No such file or directory: '/var/www/html/openWB/ramdisk/smarthome_device_1watt0neg'
    f = open(self._basePath+'/ramdisk/'+pref+'watt0neg', 'r')
  File "/var/www/html/openWB/runs/usmarthome/smartbase.py", line 1530, in simcount
    str(self.device_nummer), self.newwattk)
  File "/var/www/html/openWB/runs/usmarthome/smartbase.py", line 721, in postwatt
Traceback (most recent call last):
__init__ Slshelly excuted
__init__ Slbase executed
__init__ Sshelly excuted
__init__ Sbase executed
2022-04-21 21:45:12-: Speicher Entladung(-)/Ladung(+): 0 SpeicherSoC: 100
2022-04-21 21:45:12-: Uberschuss: -21 Uberschuss mit Offset: -21
2022-04-21 21:45:12-: EVU Bezug(-)/Einspeisung(+): -21 max Speicherladung: 0
2022-04-21 21:45:12-: (9) Device nicht (länger) definiert
2022-04-21 21:45:12-: (8) Device nicht (länger) definiert
2022-04-21 21:45:12-: (7) Device nicht (länger) definiert
2022-04-21 21:45:12-: (6) Device nicht (länger) definiert
2022-04-21 21:45:12-: (5) Device nicht (länger) definiert
2022-04-21 21:45:12-: (4) Device nicht (länger) definiert
2022-04-21 21:45:12-: (3) Device nicht (länger) definiert
2022-04-21 21:45:12-: (2) Device nicht (länger) definiert
2022-04-21 21:45:12-: (1) Slbase überlesen DailyYieldKwh -121.59
2022-04-21 21:45:12-: (1) Slbase überlesen Wh 121998.08
2022-04-21 21:45:12-: (1) Slbase überlesen OnCountNor 0
2022-04-21 21:45:12-: (1) Slbase überlesen Status 10
2022-04-21 21:45:12-: (1) Slbase überlesen RelayStatus 1
2022-04-21 21:45:12-: (1) Slbase überlesen Watt 0
2022-04-21 21:45:12-: (1) Integrierte Leistungsmessung. Neues Measure device erzeugt shelly
2022-04-21 21:45:12-: (1) Sbase überlesen DailyYieldKwh -121.59
2022-04-21 21:45:12-: (1) aus mqtt übernommen RunningTimeToday 0
2022-04-21 21:45:12-: (1) Sbase überlesen Wh 121998.08
2022-04-21 21:45:12-: (1) aus mqtt übernommen WHImported_temp 439193079
2022-04-21 21:45:12-: (1) aus mqtt übernommen OnCntStandby 0
2022-04-21 21:45:12-: (1) Sbase überlesen OnCountNor 0
2022-04-21 21:45:12-: (1) Sbase überlesen Status 10
2022-04-21 21:45:12-: (1) Sbase überlesen RelayStatus 1
2022-04-21 21:45:12-: (1) Sbase überlesen Watt 0
2022-04-21 21:45:12-: (1) Neues Devices oder Typänderung: shelly
2022-04-21 21:45:02-: *** Smarthome mq Start ***
okaegi
Beiträge: 2138
Registriert: Fr Mär 08, 2019 1:57 pm

Re: Shelly nach Backup Wiederherstellung ohne Funktion

Beitrag von okaegi »

Oh, Schreibfehler gefunden:
f = open(self._basePath++'/ramdisk/smarthome_device_' +
str(self.device_nummer) + 'watt0neg', 'w')
f.write(str("0"))
f.close()

Ich korrigiere es in der neusten nightly, und sag Bescheid.
Kannst du dann auf die neuste nightly wechseln ?
Gruss Oliver
Entwickler- openWB (ehrenamtlich) / Feedback zu Funktionen immer erwünscht..
Smarthomeprobleme siehe hier (update :!: ): viewtopic.php?f=14&t=5923
Moritz123
Beiträge: 22
Registriert: Mi Feb 23, 2022 9:27 am

Re: Shelly nach Backup Wiederherstellung ohne Funktion

Beitrag von Moritz123 »

Ja klar, gerne.

Also nur nochmal für mich: Hierbei geht es um einen einfachen Tippfehler der Programmierung, wo ich nicht wirklich was hätte anders machen können?

Danke für deinen Support!
okaegi
Beiträge: 2138
Registriert: Fr Mär 08, 2019 1:57 pm

Re: Shelly nach Backup Wiederherstellung ohne Funktion

Beitrag von okaegi »

hallo
Richtig es war ein Pgogrammfehler, kannst du die neuste nightly runterlsden und testen bitte ?
Gruss Oliver
Entwickler- openWB (ehrenamtlich) / Feedback zu Funktionen immer erwünscht..
Smarthomeprobleme siehe hier (update :!: ): viewtopic.php?f=14&t=5923
Moritz123
Beiträge: 22
Registriert: Mi Feb 23, 2022 9:27 am

Re: Shelly nach Backup Wiederherstellung ohne Funktion

Beitrag von Moritz123 »

Vielen Dank, ging ja schnell.
Also die automatische Ansteuerung habe ich kurz getestet, indem ich die Einschaltschwelle auf negativ gesetzt habe. Das hat funktioniert bei einem Gerät :)
Antworten